Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1691724 (CVE-2019-9903) - CVE-2019-9903 poppler: stack consumption in function Dict::find() in Dict.cc
Summary: CVE-2019-9903 poppler: stack consumption in function Dict::find() in Dict.cc
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9903
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1691725 1691887 1717867
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 10:45 UTC by Dhananjay Arunesh
Modified: 2023-03-24 14:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 12:45:40 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2713 0 None None None 2019-09-11 09:33:27 UTC

Description Dhananjay Arunesh 2019-03-22 10:45:18 UTC
PDFDoc::markObject in PDFDoc.cc in Poppler 0.74.0 mishandles dict marking, leading to stack consumption in the function Dict::find() located at Dict.cc, which can (for example) be triggered by passing a crafted pdf file to the pdfunite binary.

Reference:
https://gitlab.freedesktop.org/poppler/poppler/issues/741

Upstream commit:
https://gitlab.freedesktop.org/poppler/poppler/commit/fada09a2ccc11a3a1d308e810f1336d8df6011fd

Comment 1 Dhananjay Arunesh 2019-03-22 10:45:30 UTC
Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1691725]

Comment 3 Scott Gayou 2019-03-22 17:44:22 UTC
Red Hat Enterprise Linux 7 poppler (0.26.5) does not appear to be impacted by this stack overflow and completes without segfaulting. Versions before 0.26.5 do not appear impacted as well -- the code is quite different.

Comment 7 errata-xmlrpc 2019-09-11 09:33:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2713 https://access.redhat.com/errata/RHSA-2019:2713

Comment 8 Product Security DevOps Team 2019-09-12 12:45:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9903


Note You need to log in before you can comment on or make changes to this bug.